package com.sensorsystem1.save;

import java.io.File;
import java.util.Vector;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import android.app.Activity;
import android.os.Environment;

import com.Global;
import com.jjoe64.graphview.series.DataPoint;

public class save extends Activity {

	public void SaveData(Vector<DataPoint[]> seriesVec) {

		try {
			File folder = new File(Environment.getExternalStorageDirectory()
					.toString() + "/capstone");
			boolean success = true;
			if (!folder.exists()) {
				// Toast.makeText(MainActivity.this,
				// "Directory Does Not Exist, Create It",
				// Toast.LENGTH_SHORT).show();
				success = folder.mkdir();
				System.out.println("Creating Files");

			}
			if (success) {
				// Toast.makeText(MainActivity.this, "Directory Created",
				// Toast.LENGTH_SHORT).show();
				System.out.println("File Made");
			} else {
				// Toast.makeText(MainActivity.this, "Failed - Error",
				// Toast.LENGTH_SHORT).show();
				System.out.println("FILE NOT MADE");
			}

			System.out.println("File saved!-1");
			DocumentBuilderFactory docFactory = DocumentBuilderFactory
					.newInstance();
			DocumentBuilder docBuilder = docFactory.newDocumentBuilder();

			// root elements
			Document doc = docBuilder.newDocument();
			//
			System.out.println("File saved!-2");
////			Vector<DataPoint[]> seriesVec = ((Global) this.getApplication())
//					.getDatapoints();
			System.out.println("File saved!0");
				Element base = doc.createElement("xmlStuff");
				doc.appendChild(base);

			
			for (int i = 0; i < seriesVec.size(); i++) {
				Element data =  doc.createElement("data");
				 data.setAttribute("date", seriesVec.get(i)[0].getX() + "");
				 data.setAttribute("temp", seriesVec.get(i)[0].getY() + "");
				 data.setAttribute("light", seriesVec.get(i)[1].getY() + "");
				 base.appendChild(data);

			}
		
			// write the content into xml file

			System.out.println("File saved!1");
			TransformerFactory transformerFactory = TransformerFactory
					.newInstance();
			Transformer transformer = transformerFactory.newTransformer();
			DOMSource source = new DOMSource(doc);
			StreamResult result = new StreamResult(new File(Environment
					.getExternalStorageDirectory().toString()
					+ "/capstone/data.xml"));

			// StreamResult result = new StreamResult(new File(Environment
			// .getExternalStorageDirectory().toString() + "E:/TEST.xml"));

			System.out.println("File saved!2");

			// Output to console for testing
			// StreamResult result = new StreamResult(System.out);

			transformer.transform(source, result);

			System.out.println("File saved!");

		} catch (ParserConfigurationException pce) {
			System.out.println("PCE");
			pce.printStackTrace();
		} catch (TransformerException tfe) {
			System.out.println("TFE");
			tfe.printStackTrace();
		} catch (Exception e) {
			System.out.println(e.toString());

		}

		// String root = Environment.getExternalStorageDirectory().toString();
		// File myDir = new File(root + "/saved_images");
		// myDir.mkdirs();
		// Random generator = new Random();
		// int n = 10000;
		// n = generator.nextInt(n);
		// String fname = "Image-"+ n +".jpg";
		// File file = new File (myDir, fname);
		// if (file.exists ()) file.delete ();
		// try {
		// FileOutputStream out = new FileOutputStream(file);
		// finalBitmap.compress(Bitmap.CompressFormat.JPEG, 90, out);
		// out.flush();
		// out.close();
		//
		// } catch (Exception e) {
		// e.printStackTrace();
		// }

	}

}
