package com.sensorsystem1;

import java.util.Date;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

import com.Global;
import com.jjoe64.graphview.GraphView;
import com.jjoe64.graphview.series.DataPoint;
import com.sensorsystem1.bluetooth.SerialBlue;
import com.sensorsystem1.graph.Graph;
import com.sensorsystem1.history.History;
import com.sensorsystem1.nfc.Reading;
import com.sensorsystem1.save.load;
import com.sensorsystem1.save.save;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		load loadStuff = new load();
		((Global) this.getApplication()).setDatapoints(loadStuff.loadData());
//		Date dt = new Date();
//		DataPoint[] tempdata1 = { new DataPoint(dt, 80), new DataPoint(dt, 65)
//		 };
//		((Global) this.getApplication()).addDataPoint(tempdata1);
//		save saveStuff = new save();
//		saveStuff.SaveData(((Global) this.getApplication()).getDatapoints());
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		Intent intent;
		switch (item.getItemId()) {
		case R.id.graph:
			intent = new Intent(this, Graph.class);
			startActivity(intent);
			break;
		case R.id.history:
			intent = new Intent(this, History.class);
			startActivity(intent);
			break;
		case R.id.bluethooth:
			intent = new Intent(this, SerialBlue.class);
			startActivity(intent);
			break;
		case R.id.nfc_reading:
			intent = new Intent(this, Reading.class);
			startActivity(intent);
			break;
		}
		return super.onOptionsItemSelected(item);
	}

}
