package com.sensorsystem1.history;

import java.util.Date;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import com.Global;
import com.jjoe64.graphview.series.DataPoint;
import com.sensorsystem1.MainActivity;
import com.sensorsystem1.R;

public class DataView extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.data);
		TextView Date = (TextView) findViewById(R.id.date_text1);
		TextView Temp = (TextView) findViewById(R.id.date_text2);
		TextView Light = (TextView) findViewById(R.id.date_text3);

		int pos = ((Global) this.getApplication()).getCurrentIndex();
		DataPoint[] dp = ((Global) this.getApplication()).getDatapoint(pos);

		Date temp = new Date();
		temp.setTime((long) dp[0].getX());
		Double tempD = dp[0].getY();
		Double light = dp[1].getY();

		Date.append(" " + temp.toLocaleString());
		Temp.append(" " + tempD.toString() + " (Degrees Celius)");
		Light.append(" " + light.toString() + " ");

	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.data, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// openContextMenu(lv);
		Intent intent;
		switch (item.getItemId()) {
		case R.id.main:
			intent = new Intent(this, MainActivity.class);
			startActivity(intent);
			break;
		case R.id.history:
			intent = new Intent(this, History.class);
			startActivity(intent);
			break;
		case R.id.delete:
			((Global) this.getApplication()).deleteData();
			intent = new Intent(this, History.class);
			startActivity(intent);
			break;

		}
		return super.onOptionsItemSelected(item);
	}

}
